> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-home-button.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar um Private Endpoint

> Cria um novo Private Endpoint. O Private Endpoint será associado a este serviço e a esta organização



## OpenAPI

````yaml /pt-BR/products/cloud/api-reference/cloud-openapi.json post /v1/organizations/{organizationId}/services/{serviceId}/privateEndpoint
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/privateEndpoint:
    post:
      tags:
        - Service
      summary: Criar um Private Endpoint
      description: >-
        Cria um novo Private Endpoint. O Private Endpoint será associado a este
        serviço e a esta organização
      parameters:
        - description: ID da organização solicitada.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: ID do serviço solicitado.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServicPrivateEndpointePostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: ID único atribuído a cada solicitação. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/InstancePrivateEndpoint'
                  status:
                    description: Código de status HTTP.
                    example: 200
                    type: number
                type: object
          description: Resposta bem-sucedida
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: Descrição detalhada do erro.
                    type: string
                  status:
                    description: Código de status HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            O servidor não pode ou não processará a solicitação devido a algo
            considerado um erro do cliente.
components:
  schemas:
    ServicPrivateEndpointePostRequest:
      properties:
        description:
          description: Descrição do endpoint privado
          type: string
        id:
          description: Identificador do endpoint privado
          type: string
    InstancePrivateEndpoint:
      properties:
        cloudProvider:
          description: provedor de Cloud em que o endpoint privado está localizado
          enum:
            - gcp
            - aws
            - azure
          type: string
        description:
          description: Descrição do endpoint privado
          type: string
        id:
          description: Identificador do endpoint privado
          type: string
        region:
          description: Região em que o endpoint privado está localizado
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        Use o ID da chave e o segredo da chave obtidos no ClickHouse Cloud
        console: https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````